Hey, you need Flash 9. Fix that.